Issue 121968 - Installation of AOO 4.0 is not an update of previous versions
Installation of AOO 4.0 is not an update of previous versions
Status: VERIFIED FIXED
Product: Installation
Classification: Application
Component: ui
4.0.0-dev
All Linux
: P3 blocker (vote)
: 4.0.0
Assigned To: Oliver-Rainer Wittmann
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-27 05:55 UTC by Ariel Constenla-Haile
Modified: 2013-07-15 09:33 UTC (History)
8 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---
jsc: 4.0.0_release_blocker+


Attachments
Terminal log of AOO 4.0 rpm installation (36.97 KB, text/x-log)
2013-03-27 05:55 UTC, Ariel Constenla-Haile
no flags Details
Terminal log of desktop-integration package installation (19.10 KB, text/x-log)
2013-03-27 06:03 UTC, Ariel Constenla-Haile
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Ariel Constenla-Haile 2013-03-27 05:55:55 UTC
Created attachment 80470 [details]
Terminal log of AOO 4.0 rpm installation

The installation of OpenOffice 4.0 on Linux is not considered by the package installer (rpm/dpkg) as an update to OpenOffice.org 3.*

After installing all the RPMs on the main folder (not including the desktop-integration packages), in /opt you can find both AOO 4.0 and the previous version.
Comment 1 Ariel Constenla-Haile 2013-03-27 05:56:58 UTC
/opt/ with the previous and the new 4.0 version:

[ariel@localhost RPMS]$ dir /opt/openoffice*
/opt/openoffice:
basis4.0  ure

/opt/openoffice4:
basis-link  program  README  README.html  readmes  share

/opt/openoffice.org:
basis3.4  ure

/opt/openoffice.org3:
basis-link  program  README  README.html  readmes  share
Comment 2 Ariel Constenla-Haile 2013-03-27 06:03:32 UTC
Created attachment 80471 [details]
Terminal log of desktop-integration package installation

While the packages in the main root folder can be installed, the desktop-integration package fails due to conflicts between the new 4.0 package and the old 3.* one:

file /usr/bin/soffice from install of openoffice4.0-redhat-menus-4.0-9700.noarch conflicts with file from package openoffice.org3.4-redhat-menus-3.4-9593.noarch
...

This is because the new package is not considered an update of the older one, and is providing the same files, not obsoleting the older package
Comment 3 Ariel Constenla-Haile 2013-03-27 06:04:08 UTC
This is a 4.0 blocker, adapting fields.
Comment 4 Oliver-Rainer Wittmann 2013-05-28 12:54:20 UTC
@Ariel:
- Does this defect still holds after Jürgen's changes to get rid of the three layer office?
- Do you have the corresponding knowledge to solve this issue? I assume that certain package information has to be given about which former packages are obsolete by the new. I think that I have seen such information during my product renaming work - bug 121388. May be together we can solve this issue.
Comment 5 SVN Robot 2013-05-30 04:53:51 UTC
"arielch" committed SVN revision 1487725 into trunk:
i121968 - Activate linuxreplaces
Comment 6 SVN Robot 2013-05-30 04:53:59 UTC
"arielch" committed SVN revision 1487726 into trunk:
i121968 - Add linuxreplaces to package info and remove version number from pa...
Comment 7 SVN Robot 2013-05-30 04:54:24 UTC
"arielch" committed SVN revision 1487727 into trunk:
i121968 - Add Obsoletes to RPM spec files
Comment 8 SVN Robot 2013-05-30 04:54:33 UTC
"arielch" committed SVN revision 1487728 into trunk:
i121968 - Change URE package name
Comment 9 SVN Robot 2013-05-30 04:54:42 UTC
"arielch" committed SVN revision 1487729 into trunk:
i121968 - Obsolete brand packages
Comment 10 SVN Robot 2013-05-30 04:54:49 UTC
"arielch" committed SVN revision 1487730 into trunk:
i121968 - Obsolete binfilter
Comment 11 SVN Robot 2013-05-30 04:54:57 UTC
"arielch" committed SVN revision 1487731 into trunk:
i121968 - Add product name and version in UREs description
Comment 12 SVN Robot 2013-05-30 04:55:04 UTC
"arielch" committed SVN revision 1487732 into trunk:
i121968 - Obsolete previous URE
Comment 13 SVN Robot 2013-05-30 04:55:12 UTC
"arielch" committed SVN revision 1487733 into trunk:
i121968 - Replace OOOBASEVERSION with PRODUCTVERSION
Comment 14 SVN Robot 2013-05-30 04:55:19 UTC
"arielch" committed SVN revision 1487734 into trunk:
i121968 - Change BASISPACKAGEPREFIX
Comment 15 SVN Robot 2013-05-30 04:55:27 UTC
"arielch" committed SVN revision 1487736 into trunk:
i121968 - Prevent package name conflict
Comment 16 SVN Robot 2013-05-30 04:55:34 UTC
"arielch" committed SVN revision 1487737 into trunk:
i121968 - Remove references to testtool
Comment 17 SVN Robot 2013-05-30 04:55:44 UTC
"arielch" committed SVN revision 1487738 into trunk:
i121968 - Obsoletes openoffice.org3
Comment 18 Ariel Constenla-Haile 2013-05-30 05:17:31 UTC
(In reply to Oliver-Rainer Wittmann from comment #4)
> @Ariel:
> - Does this defect still holds after Jürgen's changes to get rid of the
> three layer office?

after that it is even worst

> - Do you have the corresponding knowledge to solve this issue? 

Well, I wouldn't call myself an expert on the subject.

> I assume that
> certain package information has to be given about which former packages are
> obsolete by the new.

There are the RPM spec files and debian control files under main/sysui/desktop/
Those are "easy" to fix reading the respective manuals, and EPM has nothing to do with them.
But this belong only to the desktop-integration packages.
The whole office is handled via EPM and information in scp together with main/setup_native/source/packinfo/
The package info allows marking obsoletes via linuxreplaces, but this isn't activated in the build environment. See http://markmail.org/message/t76ag6tco4kpkopd

I committed a set of patches that start the needed changes. All version number information is removed from the package name (see the mail above for the rationale).
All package are names openoffice(-*), there is no sense in having aoobasis because there is no more basis layer. For now I renamed BASISPACKAGEPREFIX but this should be completely removed, it is a leftover from the 3 layer removal.

So far I only tested were I build, but it is a good start so that others can download the packages from the bots and test in different distros.
Comment 19 Oliver-Rainer Wittmann 2013-05-30 12:57:47 UTC
@Ariel:
WOW, cool work.
I think you should draw more attention on it on the mailing list dev and qa in order to get more people checking the upgrade on different Linux platforms.
Comment 20 SVN Robot 2013-06-03 08:09:24 UTC
"orw" committed SVN revision 1488884 into trunk:
121968: adjust package description for debian system integration package
Comment 21 Oliver-Rainer Wittmann 2013-06-03 08:11:33 UTC
(In reply to SVN Robot from comment #20)
> "orw" committed SVN revision 1488884 into trunk:
> 121968: adjust package description for debian system integration package

Trying to improve the package description for the dedian system integration package.
Comment 22 jsc 2013-06-24 12:17:51 UTC
set showstopper flag
Comment 23 Andre 2013-06-28 09:46:47 UTC
@Oliver, Ariel: What is the current status of this bug.  Is it fixed?  If not, is anyone of you still working on it?
Comment 24 Oliver-Rainer Wittmann 2013-06-28 11:23:54 UTC
Weekly QA report from 2013-06-14 said that update/upgrading a former AOO/OOo version has been tested and that the test were successful.

I am on the way to test the update/upgrade on an Ubuntu 64-bit 10.04 VM
When my test succeeds I will resolve this issue as fixed.
Comment 25 SVN Robot 2013-07-01 14:26:14 UTC
"orw" committed SVN revision 1498474 into trunk:
121968: further changes for the creation of debian packages in order to get t...
Comment 26 Oliver-Rainer Wittmann 2013-07-01 14:29:58 UTC
marking as fixed for AOO 4.0 - verification pending
Comment 27 liuping 2013-07-15 09:33:18 UTC
Verified on AOO400m3(Build:9702)  -  Rev. 1502185 2013-07-10 14:15:55 (Mi, 10 Jul 2013) on Redhatß32bit OS, Pass

/opt only find /openoffice.org(previous version)/shared